Transaction Status Query
curl --request GET \
--url 'https://api.payaza.africa/live/subsidiary/collections/v1/check-status?transaction_reference={transaction_reference}&country_code={country_code}' \
--header 'Authorization: <api-key>' \
--header 'X-ProductID: <api-key>' \
--header 'X-TenantID: <api-key>'import requests
url = "https://api.payaza.africa/live/subsidiary/collections/v1/check-status?transaction_reference={transaction_reference}&country_code={country_code}"
headers = {
"Authorization": "<api-key>",
"X-TenantID": "<api-key>",
"X-ProductID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
Authorization: '<api-key>',
'X-TenantID': '<api-key>',
'X-ProductID': '<api-key>'
}
};
fetch('https://api.payaza.africa/live/subsidiary/collections/v1/check-status?transaction_reference={transaction_reference}&country_code={country_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response_code": "09",
"transaction_reference": "UDH012345",
"transaction_amount": 200.27,
"transaction_fee": 0,
"transaction_status": "Initialized",
"payer_name": "Robert Stones",
"payer_account_number": "233123456789",
"start_date": "2024-05-21T20:14:01.254748",
"end_date": "null",
"currency": "GHS"
}Momo And ZAR Collections
Transaction Status Query
This endpoint is used to check the status of a transaction using the transaction reference from the Momo Collection Request.
GET
/
subsidiary
/
collections
/
v1
/
check-status?transaction_reference=
{transaction_reference}
&country_code=
{country_code}
Transaction Status Query
Authorizations
Payaza {{Public API Key in Base 64}}
live or test
default value is ‟app”
Path Parameters
The unique identifier of the transaction
The ISO Country Code. (ISO 3166-1 alpha-2) (GH-Ghana, TZ-Tanzania, UG - Uganda, KE-Kenya)
Response
Payment successful
The response is of type any.
⌘I